## ros-indigo-nao-bringup 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_bringup)
find_package(catkin REQUIRED)

catkin_package()

# install

install(DIRECTORY config
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-nao-bringup (0.5.15-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 23 Nov 2016 08:00:00 -0000

ros-indigo-nao-bringup (0.5.14-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 23 Jan 2016 08:00:00 -0000

ros-indigo-nao-bringup (0.5.13-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 16 Jan 2016 08:00:00 -0000

ros-indigo-nao-bringup (0.5.12-0trusty) trusty; urgency=high

  * launch/nao_full.launch : support nao_port in launch/naoqi_driver.launch https://github.com/ros-naoqi/naoqi_driver/pull/52
  * Contributors: Kei Okada

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 01 Jan 2016 08:00:00 -0000

ros-indigo-nao-bringup (0.5.11-0trusty) trusty; urgency=high

  * introduce namespace for nao_bringup
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-nao-bringup (0.5.10-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-indigo-nao-bringup (0.5.9-0trusty) trusty; urgency=high

  * fix correct package dep
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-bringup (0.5.8-0trusty) trusty; urgency=high

  * rename naoqi_driver
  * transfer to naoqi_py
  * use naoqi_pose instead of nao_pose
  * Contributors: Karsten Knese, Kei Okada

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-bringup (0.5.7-0trusty) trusty; urgency=high

  * remove legacy sonar node
  * set nao walker by default
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Mar 2015 07:00:00 -0000

ros-indigo-nao-bringup (0.5.6-0trusty) trusty; urgency=high

  * Cleanup and rename launch files
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Feb 2015 08:00:00 -0000

ros-indigo-nao-bringup (0.5.5-0trusty) trusty; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-bringup (0.5.4-0trusty) trusty; urgency=high

  * configure sonars via namespace and params
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-bringup (0.5.3-0trusty) trusty; urgency=high

  * add bottom camera to nao_full.launch
  * Contributors: Kanae Kochigami

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sun, 14 Dec 2014 08:00:00 -0000

ros-indigo-nao-bringup (0.5.2-0trusty) trusty; urgency=high

  * remove trailing spaces
  * Added naoqi_sensors dependency
  * deleted extra space
  * added nao_ip and nao_port as args to work
  * Add microphone launcher in nao_full
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS, kochigami, sambrose

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-nao-bringup (0.5.1-0trusty) trusty; urgency=high

  * bugfix: fixing python imports for nao_robot
  * bugfix: python imports
  * Contributors: Karsten Knese

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-nao-bringup (0.5.0-0trusty) trusty; urgency=high

  * update on rviz config
  * moved pose manager into nao_robot
  * transfer nao_robot
  * 0.4.1
  * update changelogs
  * get the accent right in Séverin's name
  * 0.4.0
  * update changelogs
  * update nao_bringup launchfiles to use new urdf
  * 0.3.0
  * update changelogs
  * update maintainers
    Armin, thank you for all your work, in ROS, Octomap and NAO.
    Good luck out of the university !
  * "0.2.3"
  * Changelogs
  * {ahornung->ros-nao}
  * {ahornung->ros-nao}
  * Add missing nao_sim.launch to nao_bringup install
  * "0.2.2"
  * changelog
  * Replace accented character in package.xml files, seems to cause
    problems with bloom
  * "0.2.1"
  * Changelogs
  * "0.2.0"
  * Adjust version number mismatch
  * Adding (edited) catkin-generated changelogs
  * Adding bugtracker and repo URLs to package manifests
  * nao_bringup: include nao_description launch files
  * Adding force_python parameter to nao_driver.launch to switch
    between C++ and python nodes for nao_sensors (Issue #11 <https://github.com/ros-naoqi/nao_robot/issues/11>)
    Parameter will be passed on from higher-level launch files (nao_bringup).
    Default node is C++, unless a simulation launch file is started.
  * Add nao_sim launch file to bringup simulated nao
  * [nao_bringup] Include pose_manager in nao.launch
  * Include nao_driver/launch/nao_driver.launch instead of copying its content
  * XML comments do not work well in launch files...
  * Added nao_bringup: provide general launch file for ROS on Nao
  * Contributors: Armin Hornung, Karsten Knese, Séverin Lemaignan, Vincent Rabaud, margueda

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-bringup
Section: misc
Priority: extra
Maintainer: Séverin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/nao_robot
Standards-Version: 3.9.2

Package: ros-indigo-nao-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-aggregator, ros-indigo-nao-description, ros-indigo-naoqi-driver, ros-indigo-naoqi-driver-py, ros-indigo-naoqi-pose, ros-indigo-naoqi-sensors-py, ros-indigo-robot-state-publisher
Description: Launch files and scripts needed to bring ROS interfaces for Nao up into a running state.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
